%define upstream_name    Proc-PID-File
%define upstream_version 1.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A module to manage process id files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%{?perl_default_filter}

%description
This Perl module is useful for writers of daemons and other processes that
need to tell whether they are already running, in order to prevent multiple
process instances. The module accomplishes this via *nix-style _pidfiles_,
which are files that store a process identifier.

The module provides two interfaces: 1) a simple call, and 2) an
object-oriented interface

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*






%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.270.0-8.mga6
+ Revision: 1032703
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.270.0-7.mga6
+ Revision: 930219
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-6.mga5
+ Revision: 742348
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.270.0-5.mga5
+ Revision: 733337
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-4.mga5
+ Revision: 686059
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.270.0-3.mga4
+ Revision: 514347
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.270.0-2.mga3
+ Revision: 372136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 22786
- cleaning spec file
- imported package perl-Proc-PID-File


* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.270.0-1mdv2011.0
+ Revision: 554644
- import perl-Proc-PID-File


* Sun Jul 04 2010 cpan2dist 1.27-1mdv
- initial mdv release, generated with cpan2dist
